<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizServerInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizServerInfo">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="uptime" property="uptime" />
        <result column="os" property="os" />
        <result column="kernel_version" property="kernelVersion" />
        <result column="hostname" property="hostname" />
        <result column="ip_address" property="ipAddress" />
        <result column="cpu_model" property="cpuModel" />
        <result column="memory_total" property="memoryTotal" />
        <result column="cpu_usage" property="cpuUsage" />
        <result column="memory_usage" property="memoryUsage" />
        <result column="last_online_time" property="lastOnlineTime" />
        <result column="host_id" property="hostId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, id, uptime, os, kernel_version, hostname, ip_address, cpu_model, memory_total, cpu_usage, memory_usage, last_online_time, host_id
    </sql>

</mapper>
